CUT(1)

NOM
cut - Supprimer une partie de chaque ligne d'un fichier

SYNOPSIS
cut OPTION... [FICHIER]...

DESCRIPTION

Afficher des parties sélectionnées des lignes de chaque FICHIER vers la sortie standard.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --bytes=LIST
    select only these byte positions

-c, --characters=LIST
    select only these character positions

--complement
    compléter le jeu des octets sélectionnés, caractères ou champs

-d, --delimiter=DELIM
    utiliser le DÉLIMiteur au lieu d'une tabulation comme délimiteur de champs

-f, --fields=LIST
    sélectionner seulement ces champs ; afficher également toutes les lignes qui ne contiennent pas de caractère délimiteur, sauf si l'option -s est spécifiée

-F LIST
    like -f, but also implies -w and -O ' '

-n, --no-partial
    with -b, don't output partial multi-byte characters

-O, --output-delimiter=STRING
    utiliser la CHAÎNE comme délimiteur de sortie ; par défaut le délimiteur de l'entrée est utilisé

-s, --only-delimited
    ne pas afficher les lignes ne contenant pas de délimiteurs

-w, --whitespace-delimited[=trimmed]
    use a run of blank characters as the field delimiter; with 'trimmed', ignore leading and trailing blanks

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    afficher l'aide-mémoire et quitter

--version
    afficher les informations de version et quitter

Use one, and only one of -b, -c, -f or -F. Each LIST is made up of one range, or many ranges separated by commas. Selected input is written in the same order that it is read, and is written exactly once. Each range is one of:

N   Nième octet, caractère ou champ, compté à partir du premier

N-  du Nième octet, caractère ou champ jusqu'à la fin de la ligne

N-M du Nième au Mième octet (inclus), caractère ou champ

-M  du premier au Mième octet (inclus), caractère ou champ

AUTEUR
Écrit par David M. Ihnat, David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Signaler toute erreur à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <https://www.gnu.org/gethelp/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/cut>
aussi disponible localement à l’aide de la commande : info '(coreutils) cut invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Delacour <guillaume.delacour@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.